
package org.sky.scientific.wrapper;

import org.sky.core.mp.support.BaseEntityWrapper;
import org.sky.core.tool.utils.BeanUtil;
import org.sky.scientific.pojo.entity.YsRyrgfyEntity;
import org.sky.scientific.pojo.vo.YsRyrgfyVO;
import java.util.Objects;

/**
 * 项目预算-人员人工费用 包装类,返回视图层所需的字段
 *
 * @author Kd
 * @since 2025-06-29
 */
public class YsRyrgfyWrapper extends BaseEntityWrapper<YsRyrgfyEntity, YsRyrgfyVO> {

	public static YsRyrgfyWrapper build() {
		return new YsRyrgfyWrapper();
 	}

	@Override
	public YsRyrgfyVO entityVO(YsRyrgfyEntity ysRyrgfy) {
		YsRyrgfyVO ysRyrgfyVO = Objects.requireNonNull(BeanUtil.copyProperties(ysRyrgfy, YsRyrgfyVO.class));

		//User createUser = UserCache.getUser(ysRyrgfy.getCreateUser());
		//User updateUser = UserCache.getUser(ysRyrgfy.getUpdateUser());
		//ysRyrgfyVO.setCreateUserName(createUser.getName());
		//ysRyrgfyVO.setUpdateUserName(updateUser.getName());

		return ysRyrgfyVO;
	}


}
